Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class MaxFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.MaxFunction

All Implemented Interfaces:
  Function

public class MaxFunction
extends FunctionBase

Class for managing the "max" Number Function. See Sec. 5.10.1 in the XSL-FO standard.

Constructor Summary
`MaxFunction()`

Method Summary
`Property` | `eval(Property[] args, PropertyInfo pInfo)` Handle "numerics" if no proportional/percent parts
`int` | `nbArgs()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getPercentBase, padArgsWithPropertyName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxFunction

    public MaxFunction()

Method Detail

### nbArgs

    public int nbArgs()

  Returns:
    2 (the number of arguments required for the max function)

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Handle "numerics" if no proportional/percent parts

  Parameters:
    `args` - array of arguments to be processed
    `pInfo` - PropertyInfo to be processed
  Returns:
    the maximum of the two args elements passed
  Throws:
    `PropertyException` - for invalid operands

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.